> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List subscriptions by organization

GET https://api-sandbox.payabli.com/api/Query/subscriptions/org/{orgId}

Returns a list of subscriptions for a single org. Use filters to limit results. Include the `exportFormat` query parameter to return the results as a file instead of a JSON response.

Reference: https://docs.payabli.com/developers/api-reference/subscription/get-list-of-subscriptions-for-an-org

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Query/subscriptions/org/{orgId}:
    get:
      operationId: ListSubscriptionsOrg
      summary: Get list of subscriptions for an org
      description: >-
        Returns a list of subscriptions for a single org. Use filters to limit
        results. Include the `exportFormat` query parameter to return the
        results as a file instead of a JSON response.
      tags:
        - Query
      parameters:
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: exportFormat
          in: query
          description: >-
            Export format for file downloads. When specified, returns data as a
            file instead of JSON.
          required: false
          schema:
            $ref: '#/components/schemas/ExportFormat'
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            Max number of records to return for the query. Use `0` or negative
            value to return all records.
          required: false
          schema:
            type: integer
            default: 20
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query.

            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>

            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for more information.


            **List of field names accepted:**


            - `startDate` (gt, ge, lt, le, eq, ne)

            - `endDate` (gt, ge, lt, le, eq, ne)

            - `nextDate` (gt, ge, lt, le, eq, ne)

            - `frequency` (in, nin, ne, eq)

            - `method` (in, nin, eq, ne)

            - `totalAmount` (gt, ge, lt, le, eq, ne)

            - `netAmount` (gt, ge, lt, le, eq, ne)

            - `feeAmount` (gt, ge, lt, le, eq, ne)

            - `status` (in, nin, eq, ne)

            - `untilcancelled` (eq, ne)

            - `subscriptionType` (eq, ne, in, nin). Filters by subscription
            type. Accepts `Regular` or `BalanceDriven`. Case-insensitive.
            Example: `subscriptionType(in)=Regular|BalanceDriven`.

            - `payaccountLastfour` (nct, ct)

            - `payaccountType` (ne, eq, in, nin)

            - `payaccountCurrency` (ne, eq, in, nin)

            - `customerFirstname` (ct, nct, eq, ne)

            - `customerLastname` (ct, nct, eq, ne)

            - `customerName` (ct, nct)

            - `customerId` (eq, ne)

            - `customerNumber` (ct, nct, eq, ne)

            - `customerCompanyname` (ct, nct, eq, ne)

            - `customerAddress` (ct, nct, eq, ne)

            - `customerCity` (ct, nct, eq, ne)

            - `customerZip` (ct, nct, eq, ne)

            - `customerState` (ct, nct, eq, ne)

            - `customerCountry` (ct, nct, eq, ne)

            - `customerPhone` (ct, nct, eq, ne)

            - `customerEmail` (ct, nct, eq, ne)

            - `customerShippingAddress` (ct, nct, eq, ne)

            - `customerShippingCity` (ct, nct, eq, ne)

            - `customerShippingZip` (ct, nct, eq, ne)

            - `customerShippingState` (ct, nct, eq, ne)

            - `customerShippingCountry` (ct, nct, eq, ne)

            - `orgId` (eq)

            - `paypointId` (ne, eq)

            - `paypointLegal` (ne, eq, ct, nct)

            - `paypointDba` (ne, eq, ct, nct)

            - `orgName` (ne, eq, ct, nct)

            - `externalPaypointId` (ct, nct, ne, eq)

            - `subId` (eq, ne)

            - `idPmethod` (eq, ne, ct, nct, in, nin). Filters by the
            subscription's linked stored method identifier (the value returned
            in `StoredMethod.IdPmethod`). Case-insensitive. Subscriptions
            without a linked stored method are excluded from matches. Example:
            `idPmethod(eq,6edcbb56-9c0e-4003-b3d1-99abf149ba0e)`.

            - `orderDescription` (ct, nct)

            - `cycles` (eq, ne, gt, ge, lt, le)

            - `leftcycles` (eq, ne, gt, ge, lt, le)

            - `createdAt` (eq, ne, gt, ge, lt, le)

            - `updatedOn` (eq, ne, gt, ge, lt, le)

            - `invoiceNumber` (ct, nct)

            - `additional-xxx` (ne, eq, ct, nct) where xxx is the additional
            field name


            **List of comparison operators accepted:**

            - `eq` or empty => equal

            - `gt` => greater than

            - `ge` => greater or equal

            - `lt` => less than

            - `le` => less or equal

            - `ne` => not equal

            - `ct` => contains

            - `nct` => not contains

            - `in` => inside array

            - `nin` => not inside array
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          description: >
            Long-lived API token sent in the `requestToken` header. See [API
            token authentication](/developers/api-tokens).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuerySubscriptionResponse'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    ExportFormat:
      type: string
      enum:
        - csv
        - xlsx
      description: |
        Export format for file downloads. When specified, returns data as a file
        instead of JSON.
      title: ExportFormat
    CreatedAt:
      type: string
      format: date-time
      description: Timestamp of when record was created, in UTC.
      title: CreatedAt
    BillingZip:
      type: string
      description: Billing address ZIP code.
      title: BillingZip
    Email:
      type: string
      format: email
      description: Email address.
      title: Email
    CustomerNumberNullable:
      type: string
      description: |
        User-provided unique identifier for the customer. This is typically the
        customer ID from your own system.
      title: CustomerNumberNullable
    Shippingaddress:
      type: string
      description: The shipping address.
      title: Shippingaddress
    Shippingaddressadditional:
      type: string
      description: Additional line for shipping address.
      title: Shippingaddressadditional
    Shippingcity:
      type: string
      description: Shipping city.
      title: Shippingcity
    Shippingstate:
      type: string
      description: Shipping state or province.
      title: Shippingstate
    Shippingzip:
      type: string
      description: |
        Shipping ZIP code. For Pay In functions, this field supports 5-digit
        and 9-digit ZIP codes and alphanumeric Canadian postal codes. For
        example: `37615-1234` or `37615`.
      title: Shippingzip
    Shippingcountry:
      type: string
      description: Shipping address country.
      title: Shippingcountry
    CustomerId:
      type: integer
      format: int64
      description: The Payabli-generated unique ID for the customer.
      title: CustomerId
    CustomerStatus:
      type: integer
      description: |
        Customer Status. Possible values:

        - `-99` Deleted
        - `0` Inactive
        - `1` Active
        - `85` Locked (typically due to multiple failed login attempts)
      title: CustomerStatus
    AdditionalDataMap:
      type: object
      additionalProperties:
        type: string
      description: >
        Custom dictionary of key:value pairs. You can use this field to store
        any

        data related to the object or for your system. If you are using

        [custom identifiers](/developers/developer-guides/entities-customers),

        pass those in this object. Max length for a value is 100 characters.


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataMap
    QueryTransactionPayorData:
      type: object
      properties:
        Identifiers:
          type: array
          items:
            description: Any type
          description: Array of field names to be used as identifiers.
        FirstName:
          type: string
          description: Customer/Payor first name.
        LastName:
          type: string
          description: Customer/Payor last name.
        CompanyName:
          type: string
          description: Customer's company name.
        BillingAddress1:
          type: string
          description: Customer's billing address.
        BillingAddress2:
          type: string
          description: Additional line for Customer's billing address.
        BillingCity:
          type: string
          description: Customer's billing city.
        BillingState:
          type: string
          description: >-
            Customer's billing state. Must be 2-letter state code for address in
            US.
        BillingZip:
          $ref: '#/components/schemas/BillingZip'
          description: Customer's billing ZIP code.
        BillingCountry:
          type: string
          description: Customer's billing country.
        BillingPhone:
          type: string
          description: Customer's phone number.
        BillingEmail:
          $ref: '#/components/schemas/Email'
          description: Customer's email address.
        CustomerNumber:
          $ref: '#/components/schemas/CustomerNumberNullable'
        ShippingAddress1:
          $ref: '#/components/schemas/Shippingaddress'
        ShippingAddress2:
          $ref: '#/components/schemas/Shippingaddressadditional'
        ShippingCity:
          $ref: '#/components/schemas/Shippingcity'
        ShippingState:
          $ref: '#/components/schemas/Shippingstate'
        ShippingZip:
          $ref: '#/components/schemas/Shippingzip'
        ShippingCountry:
          $ref: '#/components/schemas/Shippingcountry'
        customerId:
          $ref: '#/components/schemas/CustomerId'
        customerStatus:
          $ref: '#/components/schemas/CustomerStatus'
        AdditionalData:
          $ref: '#/components/schemas/AdditionalDataMap'
      title: QueryTransactionPayorData
    EntrypageId:
      type: integer
      format: int64
      description: |
        If applicable, the internal reference ID to the payment page associated
        with the transaction.
      title: EntrypageId
    ExternalPaypointId:
      type: string
      description: |
        A custom identifier for the paypoint, if applicable.
      title: ExternalPaypointId
    FileContentFtype:
      type: string
      enum:
        - pdf
        - doc
        - docx
        - jpg
        - jpeg
        - png
        - gif
        - txt
      description: The MIME type of the file (if content is provided).
      title: FileContentFtype
    FileContent:
      type: object
      properties:
        fContent:
          type: string
          description: |
            Content of file, Base64-encoded. Ignored if `furl` is specified. Max
            upload size is 30 MB.
        filename:
          type: string
          description: The name of the attached file.
        ftype:
          $ref: '#/components/schemas/FileContentFtype'
        furl:
          type: string
          description: Optional URL provided to show or download the file remotely.
      description: Contains details about a file. Max upload size is 30 MB.
      title: FileContent
    Attachments:
      type: array
      items:
        $ref: '#/components/schemas/FileContent'
      description: >
        Array of `fileContent` objects with attached documents. Max upload size
        is

        30 MB.
      title: Attachments
    Discount:
      type: number
      format: double
      description: Discount applied to the invoice.
      title: Discount
    DutyAmount:
      type: number
      format: double
      description: Duty amount.
      title: DutyAmount
    FreightAmount:
      type: number
      format: double
      description: Freight/shipping amount.
      title: FreightAmount
    Frequency:
      type: string
      enum:
        - onetime
        - weekly
        - every2weeks
        - every6months
        - monthly
        - every3months
        - annually
        - firstofmonth
        - fifteenthofmonth
        - endofmonth
      description: >
        Frequency for operation. The `firstofmonth`, `fifteenthofmonth`, and
        `endofmonth` values are only valid on subscriptions — they aren't
        accepted by other endpoints (such as invoice scheduling) that use this
        enum.
      title: Frequency
    InvoiceAmount:
      type: number
      format: double
      description: The invoice amount.
      title: InvoiceAmount
    InvoiceNumber:
      type: string
      description: Invoice number. Identifies the invoice under a paypoint.
      title: InvoiceNumber
    Invoicestatus:
      type: integer
      description: Invoice status code.
      title: Invoicestatus
    InvoiceType:
      type: integer
      description: |
        Invoice type. Value `0` is for single/one-time invoices, `1` for
        scheduled invoices.
      title: InvoiceType
    ItemCommodityCode:
      type: string
      description: Item or product commodity code. Max length of 250 characters.
      title: ItemCommodityCode
    ItemDescription:
      type: string
      description: Item or product description. Max length of 250 characters.
      title: ItemDescription
    ItemProductCode:
      type: string
      description: Item or product code. Max length of 250 characters.
      title: ItemProductCode
    ItemProductName:
      type: string
      description: Item or product name. Max length of 250 characters.
      title: ItemProductName
    ItemUnitofMeasure:
      type: string
      description: Unit of measurement. Max length of 100 characters.
      title: ItemUnitofMeasure
    BillItem:
      type: object
      properties:
        itemCategories:
          type: array
          items:
            type: string
          description: Array of tags classifying item or product.
        itemCommodityCode:
          $ref: '#/components/schemas/ItemCommodityCode'
        itemCost:
          type: number
          format: double
          description: Item or product price per unit.
        itemDescription:
          $ref: '#/components/schemas/ItemDescription'
        itemMode:
          type: integer
          description: >
            Internal class of item or product: value `0` is only for invoices,

            `1` for bills, and `2` is common for both. Required on invoice line

            items — invoice creation fails with `Invalid item data` if it's
            omitted.
        itemProductCode:
          $ref: '#/components/schemas/ItemProductCode'
        itemProductName:
          $ref: '#/components/schemas/ItemProductName'
        itemQty:
          type: integer
          description: Quantity of item or product.
        itemTaxAmount:
          type: number
          format: double
          description: Tax amount applied to item or product.
        itemTaxRate:
          type: number
          format: double
          description: Tax rate applied to item or product.
        itemTotalAmount:
          type: number
          format: double
          description: >
            Per-line total for this item (unit cost times quantity). Distinct
            from

            the invoice's overall total, `invoiceAmount`. Required on invoice
            line items.
        itemUnitOfMeasure:
          $ref: '#/components/schemas/ItemUnitofMeasure'
      title: BillItem
    BillDataPaymentTerms:
      type: string
      enum:
        - PIA
        - CIA
        - UR
        - NET10
        - NET20
        - NET30
        - NET45
        - NET60
        - NET90
        - EOM
        - MFI
        - 5MFI
        - 10MFI
        - 15MFI
        - 20MFI
        - 2/10NET30
        - UF
        - 10UF
        - 20UF
        - 25UF
        - 50UF
      description: >
        Payment terms for invoice. If no terms are defined, then response data
        for

        this field defaults to `NET30`. Mirrors the values in

        [`Terms`](#schema-terms).
      title: BillDataPaymentTerms
    PurchaseOrder:
      type: string
      description: Purchase order number.
      title: PurchaseOrder
    ShippingFromZip:
      type: string
      description: Sender shipping ZIP code.
      title: ShippingFromZip
    SummaryCommodityCode:
      type: string
      description: Commodity code.
      title: SummaryCommodityCode
    Tax:
      type: number
      format: double
      description: Tax rate in percent applied to the invoice.
      title: Tax
    TermsConditions:
      type: string
      description: Custom terms and conditions included in the invoice.
      title: TermsConditions
    BillData:
      type: object
      properties:
        AdditionalData:
          $ref: '#/components/schemas/AdditionalDataMap'
        attachments:
          $ref: '#/components/schemas/Attachments'
        company:
          type: string
          description: Company name of the recipient of the invoice.
        discount:
          $ref: '#/components/schemas/Discount'
        dutyAmount:
          $ref: '#/components/schemas/DutyAmount'
        firstName:
          type: string
          description: First name of the recipient of the invoice.
        freightAmount:
          $ref: '#/components/schemas/FreightAmount'
        frequency:
          $ref: '#/components/schemas/Frequency'
          description: Frequency of scheduled invoice.
        invoiceAmount:
          $ref: '#/components/schemas/InvoiceAmount'
        invoiceDate:
          type: string
          format: date
          description: 'Invoice date in any of the accepted formats: YYYY-MM-DD, MM/DD/YYYY.'
        invoiceDueDate:
          type: string
          format: date
          description: >-
            Invoice due date in one of the accepted formats: YYYY-MM-DD,
            MM/DD/YYYY.
        invoiceEndDate:
          type: string
          format: date
          description: >-
            Indicate the date to finish a scheduled invoice cycle
            (`invoiceType`` = 1) in any of the accepted formats: YYYY-MM-DD,
            MM/DD/YYYY.
        invoiceNumber:
          $ref: '#/components/schemas/InvoiceNumber'
          description: Invoice number. Identifies the invoice under a paypoint.
        invoiceStatus:
          $ref: '#/components/schemas/Invoicestatus'
        invoiceType:
          $ref: '#/components/schemas/InvoiceType'
        items:
          type: array
          items:
            $ref: '#/components/schemas/BillItem'
          description: Array of line items included in the invoice.
        lastName:
          type: string
          description: Last name of the recipient of the invoice.
        notes:
          type: string
          description: Notes included in the invoice.
        paymentTerms:
          $ref: '#/components/schemas/BillDataPaymentTerms'
        purchaseOrder:
          $ref: '#/components/schemas/PurchaseOrder'
        shippingAddress1:
          $ref: '#/components/schemas/Shippingaddress'
        shippingAddress2:
          $ref: '#/components/schemas/Shippingaddressadditional'
        shippingCity:
          $ref: '#/components/schemas/Shippingcity'
        shippingCountry:
          $ref: '#/components/schemas/Shippingcountry'
        shippingEmail:
          $ref: '#/components/schemas/Email'
          description: Shipping recipient's contact email address.
        shippingFromZip:
          $ref: '#/components/schemas/ShippingFromZip'
        shippingPhone:
          type: string
          description: Recipient phone number.
        shippingState:
          $ref: '#/components/schemas/Shippingstate'
        shippingZip:
          $ref: '#/components/schemas/Shippingzip'
        summaryCommodityCode:
          $ref: '#/components/schemas/SummaryCommodityCode'
        tax:
          $ref: '#/components/schemas/Tax'
        termsConditions:
          $ref: '#/components/schemas/TermsConditions'
      title: BillData
    LastModified:
      type: string
      format: date-time
      description: Timestamp of when record was last updated, in UTC.
      title: LastModified
    Netamountnullable:
      type: number
      format: double
      description: Net amount.
      title: Netamountnullable
    OrgParentName:
      type: string
      description: The name of the parent organization.
      title: OrgParentName
    Accountexp:
      type: string
      description: Expiration date of card used in transaction.
      title: Accountexp
    AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    Accounttype:
      type: string
      description: Bank account type or card brand.
      title: Accounttype
    Accountzip:
      type: string
      description: ZIP code for card used in transaction.
      title: Accountzip
    BinData:
      type: object
      properties:
        binMatchedLength:
          type: string
          description: |-
            The number of characters from the beginning of the card number that
            were matched against a Bank Identification Number (BIN) or the Card
            Range table.
        binCardBrand:
          type: string
          description: |-
            The card brand. For example, Visa, Mastercard, American Express,
            Discover.
        binCardType:
          type: string
          description: |-
            The type of card: `Credit` or `Debit`. Case can vary between
            processors, so compare this value case-insensitively.
        binCardCategory:
          type: string
          description: >-
            The category of the card, which indicates the card product. For
            example: Standard, Gold, Platinum, etc. The binCardCategory for
            prepaid cards is marked `PREPAID`.
        binCardIssuer:
          type: string
          description: The name of the financial institution that issued the card.
        binCardIssuerCountry:
          type: string
          description: The issuing financial institution's country name.
        binCardIssuerCountryCodeA2:
          type: string
          description: >-
            The issuing financial institution's two-character ISO country code.
            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of codes.
        binCardIssuerCountryNumber:
          type: string
          description: >-
            The issuing financial institution's ISO standard numeric country
            code. See [this resource](https://www.iso.org/obp/ui/#search) for a
            list of codes.
        binCardIsRegulated:
          type: string
          description: Indicates whether the card is regulated.
        binCardUseCategory:
          type: string
          description: The use category classification for the card.
        binCardIssuerCountryCodeA3:
          type: string
          description: >-
            The issuing financial institution's three-character ISO country
            code.

            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of

            codes.
      description: >-
        Object containing information related to the card. This object is `null`

        unless the payment method is card. If the payment method is Apple Pay,
        the

        binData will be related to the DPAN (device primary account number), not

        the card connected to Apple Pay.
      title: BinData
    Holdername:
      type: string
      description: The cardholder name.
      title: Holdername
    Initiator:
      type: string
      description: |
        The transaction's initiator. Indicates who initiated the transaction.
      title: Initiator
    Maskedaccount:
      type: string
      description: |
        Masked card or bank account used in transaction. In the case of Apple
        Pay, this is a masked DPAN (device primary account number).
      title: Maskedaccount
    Orderdescription:
      type: string
      description: Text description of the transaction.
      title: Orderdescription
    PaymentCategories:
      type: object
      properties:
        amount:
          type: number
          format: double
          description: Price/cost per unit of item or category.
        description:
          type: string
          description: Description of item or category
        label:
          type: string
          description: Name of item or category.
        qty:
          type: integer
          default: 1
          description: Quantity of item or category
      required:
        - amount
        - label
      title: PaymentCategories
    SplitFundingContent:
      type: object
      properties:
        accountId:
          type: string
          description: The accountId for the account the split should be sent to.
        amount:
          type: number
          format: double
          description: Amount from the transaction to send to this recipient.
        description:
          type: string
          description: A description for the split.
        recipientEntryPoint:
          type: string
          description: The entrypoint the split should be sent to.
      title: SplitFundingContent
    SplitFunding:
      type: array
      items:
        $ref: '#/components/schemas/SplitFundingContent'
      description: >-
        Split funding instructions for the transaction. The total amount of the
        splits must match the total amount of the transaction.
      title: SplitFunding
    PaymentDetail:
      type: object
      properties:
        categories:
          type: array
          items:
            $ref: '#/components/schemas/PaymentCategories'
          description: >-
            Array of payment categories/line items describing the amount to be
            paid.

            **Note**: These categories are for information only and aren't
            validated against the total amount provided.
        checkImage:
          type: object
          additionalProperties:
            description: Any type
          description: Object containing image of paper check.
        checkNumber:
          type: string
          description: >-
            A check number to be used in the ach transaction. **Required** for
            payment method = 'check'.
        currency:
          type: string
          description: >-
            The currency for the transaction, `USD` or `CAD`. If your paypoint
            is configured for CAD, you must send the `CAD` value in this field,
            otherwise it defaults to USD, which will cause the transaction to
            fail.
        serviceFee:
          type: number
          format: double
          description: >-
            Service fee to be deducted from the total amount. This amount must
            be a number, percentages aren't accepted. If you are using a
            percentage-based fee schedule, you must calculate the value
            manually.
        splitFunding:
          $ref: '#/components/schemas/SplitFunding'
          description: >-
            Split funding instructions for the transaction. See [Split a
            Transaction](/developers/developer-guides/money-in-split-funding)
            for more.
        checkUniqueId:
          type: string
          description: >-
            Unique identifier for a processed check image. Required for RDC
            (Remote Deposit Capture) transactions where `achCode` is `BOC`. Use
            the `id` value from the [check
            processing](/developers/api-reference/moneyin/check-capture)
            response.
        totalAmount:
          type: number
          format: double
          description: >-
            Total amount to be charged. If a service fee is sent, then this
            amount should include the service fee."
      required:
        - totalAmount
      description: Details about the payment.
      title: PaymentDetail
    Sequence:
      type: string
      description: >
        The order of the transaction for cardholder-initiated transaction (CIT)

        and merchant-initiated transaction (MIT) purposes. This field is

        automatically detected and populated by Payabli.


        Available values:


        - `first`: The first use of the payment method. This is almost always
          a cardholder-initiated transaction.
        - `subsequent`: For merchant-initiated transactions after the first use
          of the payment method.

        See

        [Understanding CIT and MIT
        Indicators](/guides/pay-in-transactions-cit-mit-overview)

        for more information.
      title: Sequence
    Signaturedata:
      type: string
      title: Signaturedata
    Storedmethodid:
      type: string
      description: |
        Payabli identifier of a tokenized payment method. If this field is
        used in a request, the `method` field is overridden and the payment
        is made using the payment token.
      title: Storedmethodid
    StoredMethodUsageType:
      type: string
      description: >
        **Strongly recommended.** The usage type for the stored method, used

        for merchant-initiated transactions (MIT). If you don't specify a

        value, Payabli defaults to `unscheduled`.


        Available values:


        - `unscheduled`: One-time or otherwise not pre-scheduled.

        - `subscription`: Subscription payments. For example, monthly rental
          fees or ongoing service subscriptions.
        - `recurring`: Recurring payments per a set plan. For example,
          splitting an HOA special assessment over 6 monthly payments.

        See

        [Understanding CIT and MIT
        Indicators](/guides/pay-in-transactions-cit-mit-overview)

        for more information.
      title: StoredMethodUsageType
    QueryPaymentData:
      type: object
      properties:
        AccountExp:
          $ref: '#/components/schemas/Accountexp'
        accountId:
          $ref: '#/components/schemas/AccountId'
        AccountType:
          $ref: '#/components/schemas/Accounttype'
        AccountZip:
          $ref: '#/components/schemas/Accountzip'
        binData:
          $ref: '#/components/schemas/BinData'
        HolderName:
          $ref: '#/components/schemas/Holdername'
        Initiator:
          $ref: '#/components/schemas/Initiator'
        MaskedAccount:
          $ref: '#/components/schemas/Maskedaccount'
        orderDescription:
          $ref: '#/components/schemas/Orderdescription'
        paymentDetails:
          $ref: '#/components/schemas/PaymentDetail'
        Sequence:
          $ref: '#/components/schemas/Sequence'
        SignatureData:
          $ref: '#/components/schemas/Signaturedata'
        StoredId:
          $ref: '#/components/schemas/Storedmethodid'
          description: Identifier of stored payment method used in transaction.
        StoredMethodUsageType:
          $ref: '#/components/schemas/StoredMethodUsageType'
      title: QueryPaymentData
    Dbaname:
      type: string
      description: |
        The alternate or common name that this business is doing business under,
        usually referred to as a DBA name.
      title: Dbaname
    Entrypointfield:
      type: string
      description: The entrypoint identifier.
      title: Entrypointfield
    PaypointId:
      type: integer
      format: int64
      description: The paypoint's ID. Note that this is different than the entryname.
      title: PaypointId
    Legalname:
      type: string
      description: Business legal name.
      title: Legalname
    Source:
      type: string
      description: Custom identifier to indicate the transaction or request source.
      title: Source
    VendorResponseStoredMethod:
      type: object
      properties:
        IdPmethod:
          type:
            - string
            - 'null'
        Method:
          type:
            - string
            - 'null'
        Descriptor:
          type:
            - string
            - 'null'
        MaskedAccount:
          type:
            - string
            - 'null'
        ExpDate:
          type:
            - string
            - 'null'
        HolderName:
          type:
            - string
            - 'null'
        AchSecCode:
          type:
            - string
            - 'null'
        AchHolderType:
          type:
            - string
            - 'null'
        IsValidatedACH:
          type:
            - boolean
            - 'null'
        BIN:
          type:
            - string
            - 'null'
        binData:
          oneOf:
            - $ref: '#/components/schemas/BinData'
            - type: 'null'
        ABA:
          type:
            - string
            - 'null'
        PostalCode:
          type:
            - string
            - 'null'
        MethodType:
          type:
            - string
            - 'null'
        WalletType:
          type:
            - string
            - 'null'
          description: Digital wallet type if applicable.
        LastUpdated:
          type:
            - string
            - 'null'
          format: date-time
        CardUpdatedOn:
          type:
            - string
            - 'null'
          format: date-time
          description: Date and time the card was last updated.
      required:
        - IdPmethod
        - Method
        - Descriptor
        - MaskedAccount
        - ExpDate
        - HolderName
        - AchSecCode
        - AchHolderType
        - IsValidatedACH
        - BIN
        - binData
        - ABA
        - PostalCode
        - MethodType
        - WalletType
        - LastUpdated
        - CardUpdatedOn
      description: Stored payment method information
      title: VendorResponseStoredMethod
    GeneralEvents:
      type: object
      properties:
        description:
          type: string
          description: Event description.
        eventTime:
          type: string
          format: date-time
          description: Event timestamp, in UTC.
        extraData:
          type:
            - string
            - 'null'
          description: Extra data.
        refData:
          type: string
          description: Reference data.
        source:
          $ref: '#/components/schemas/Source'
          description: The event source.
      title: GeneralEvents
    SubscriptionType:
      type: string
      enum:
        - Regular
        - BalanceDriven
      description: >
        Subscription type or category. Can't be changed after the subscription
        is created; if sent to the update endpoint, it's ignored.


        - `Regular`: A standard recurring subscription that charges a fixed
        amount each cycle.

        - `BalanceDriven`: A subscription that charges the payor's outstanding
        balance at run time instead of a fixed amount. Each scheduled run reads
        the live balance and charges that amount; a zero balance is skipped, not
        charged. `BalanceDriven` subscriptions only accept the `firstofmonth`,
        `fifteenthofmonth`, and `endofmonth` frequencies, ignore any `startDate`
        and `endDate` you supply (start date is calculated from `frequency`; the
        schedule runs until cancelled), and don't store a static `totalAmount`
        on the schedule.
      title: SubscriptionType
    SubscriptionQueryRecords:
      type: object
      properties:
        CreatedAt:
          $ref: '#/components/schemas/CreatedAt'
          description: Timestamp of when the subscription ws created, in UTC.
        Customer:
          $ref: '#/components/schemas/QueryTransactionPayorData'
        EndDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The subscription's end date.
        EntrypageId:
          $ref: '#/components/schemas/EntrypageId'
        ExternalPaypointID:
          $ref: '#/components/schemas/ExternalPaypointId'
        FeeAmount:
          type: number
          format: double
          description: Fee applied to the subscription.
        Frequency:
          type: string
          description: The subscription's frequency.
        IdSub:
          type: integer
          format: int64
          description: The subscription's ID.
        invoiceData:
          $ref: '#/components/schemas/BillData'
        LastRun:
          type:
            - string
            - 'null'
          format: date-time
          description: The last time the subscription was processed.
        LastUpdated:
          $ref: '#/components/schemas/LastModified'
          description: The last date and time the subscription was updated.
        LeftCycles:
          type: integer
          description: The number of cycles the subscription has left.
        Method:
          type: string
          description: The subscription's payment method.
        NetAmount:
          $ref: '#/components/schemas/Netamountnullable'
          description: The subscription amount, minus any fees.
        NextDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The next date the subscription will be processed.
        ParentOrgName:
          $ref: '#/components/schemas/OrgParentName'
        PaymentData:
          $ref: '#/components/schemas/QueryPaymentData'
        PaypointDbaname:
          $ref: '#/components/schemas/Dbaname'
          description: The paypoint's DBA name.
        PaypointEntryname:
          $ref: '#/components/schemas/Entrypointfield'
          description: The paypoint's entryname.
        PaypointId:
          $ref: '#/components/schemas/PaypointId'
        PaypointLegalname:
          $ref: '#/components/schemas/Legalname'
          description: The paypoint's legal name.
        PlanId:
          type: integer
          description: Payment plan ID.
        Source:
          $ref: '#/components/schemas/Source'
        StartDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The subscription start date.
        StoredMethod:
          oneOf:
            - $ref: '#/components/schemas/VendorResponseStoredMethod'
            - type: 'null'
          description: |-
            The full stored payment method record linked to the subscription
            and charged on each billing cycle. Returned as `null` for legacy
            subscriptions that don't have a linked stored method.
            The shape is the same across payment vehicles (card, ACH, check).
            Only the populated fields differ. For example, `ABA` is populated
            for ACH, while `ExpDate` and `binData` are populated for card.
        SubEvents:
          type: array
          items:
            $ref: '#/components/schemas/GeneralEvents'
          description: Events associated with the subscription.
        SubStatus:
          type: integer
          description: |-
            The subscription's status.
            - 0: Paused
            - 1: Active
        SubscriptionType:
          oneOf:
            - $ref: '#/components/schemas/SubscriptionType'
            - type: 'null'
          description: >-
            Subscription type or category. Returns `null` when no type is
            assigned.
        TotalAmount:
          type: number
          format: double
          description: The subscription amount, including any fees.
        TotalCycles:
          type: integer
          description: The total number of cycles the subscription is set to run.
        UntilCancelled:
          type: boolean
          description: >-
            When `true`, the subscription has no explicit end date and will run
            until canceled.
      required:
        - EndDate
        - LastRun
        - NextDate
        - StartDate
        - StoredMethod
      title: SubscriptionQueryRecords
    PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    Pagesize:
      type: integer
      description: Number of records on each response page.
      title: Pagesize
    Totalrecords:
      type: integer
      description: Total number of records in response.
      title: Totalrecords
    QuerySummary:
      type: object
      properties:
        pageIdentifier:
          $ref: '#/components/schemas/PageIdentifier'
        pageSize:
          $ref: '#/components/schemas/Pagesize'
        totalAmount:
          type: number
          format: double
          description: Total amount for the records.
        totalNetAmount:
          type: number
          format: double
          description: Total net amount for the records.
        totalPages:
          $ref: '#/components/schemas/Totalrecords'
        totalRecords:
          $ref: '#/components/schemas/Totalrecords'
      title: QuerySummary
    QuerySubscriptionResponse:
      type: object
      properties:
        Records:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionQueryRecords'
        Summary:
          $ref: '#/components/schemas/QuerySummary'
      description: Subscription query response body.
      title: QuerySubscriptionResponse
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken
      description: >
        Long-lived API token sent in the `requestToken` header. See [API token
        authentication](/developers/api-tokens).
    BearerAuth:
      type: http
      scheme: bearer
      description: >
        OAuth2 Bearer access token from the client-credentials flow. See [OAuth
        authentication](/developers/oauth-authentication).

```

## Examples



**Response**

```json
{
  "Records": [
    {
      "EndDate": "2026-03-20T00:00:00Z",
      "LastRun": "2024-01-02T14:32:11Z",
      "NextDate": "2024-07-20T00:00:00Z",
      "StartDate": "2024-07-20T00:00:00Z",
      "StoredMethod": {
        "IdPmethod": "6edcbb56-9c0e-4003-b3d1-99abf149ba0e",
        "Method": "card",
        "Descriptor": "Visa for subscriptions",
        "MaskedAccount": "4XXXXXXX0010",
        "ExpDate": "0924",
        "HolderName": "Lisandra Smitch",
        "AchSecCode": null,
        "AchHolderType": null,
        "IsValidatedACH": false,
        "BIN": "",
        "binData": {
          "binMatchedLength": "6",
          "binCardBrand": "Visa",
          "binCardType": "Credit",
          "binCardCategory": "PLATINUM",
          "binCardIssuer": "Bank of Example",
          "binCardIssuerCountry": "United States",
          "binCardIssuerCountryCodeA2": "US",
          "binCardIssuerCountryNumber": "840",
          "binCardIsRegulated": "false",
          "binCardUseCategory": "Consumer",
          "binCardIssuerCountryCodeA3": "USA"
        },
        "ABA": "",
        "PostalCode": "37612",
        "MethodType": "Single Merchant",
        "LastUpdated": "2023-12-14T08:51:10Z",
        "CardUpdatedOn": null
      },
      "CreatedAt": "2023-12-14T08:51:10Z",
      "Customer": {
        "Identifiers": [
          "\\\"firstname\\\"",
          "\\\"lastname\\\"",
          "\\\"email\\\""
        ],
        "FirstName": "Lisandra",
        "LastName": "Smitch",
        "CompanyName": "Sunshine LLC",
        "BillingAddress1": "68 Golden Drive",
        "BillingAddress2": "",
        "BillingCity": "Johnson City",
        "BillingState": "TN",
        "BillingZip": "37612",
        "BillingCountry": "US",
        "BillingPhone": "",
        "BillingEmail": "company@payabli.com",
        "CustomerNumber": "C-90010",
        "ShippingAddress1": "68 Golden Drive",
        "ShippingCity": "Johnson City",
        "ShippingState": "TN",
        "ShippingZip": "37612",
        "ShippingCountry": "US",
        "customerId": 4440,
        "customerStatus": 1,
        "AdditionalData": null
      },
      "EntrypageId": 0,
      "ExternalPaypointID": "f743aed24a-10",
      "FeeAmount": 0,
      "Frequency": "monthly",
      "IdSub": 580,
      "invoiceData": {
        "AdditionalData": null,
        "frequency": "onetime",
        "invoiceAmount": 100,
        "invoiceNumber": "INV-2345",
        "invoiceStatus": 1,
        "invoiceType": 1,
        "items": [
          {
            "itemCost": 10,
            "itemDescription": "service",
            "itemMode": 1,
            "itemProductName": "Mat replacement",
            "itemQty": 5,
            "itemTotalAmount": 50
          },
          {
            "itemCost": 5,
            "itemDescription": "service",
            "itemMode": 1,
            "itemProductName": "Mat clean",
            "itemQty": 10,
            "itemTotalAmount": 50
          }
        ]
      },
      "LastUpdated": "2023-12-14T08:51:10Z",
      "LeftCycles": 20,
      "Method": "card",
      "NetAmount": 10,
      "ParentOrgName": "FitnessManager",
      "PaymentData": {
        "AccountExp": "0924",
        "AccountType": "unknow",
        "AccountZip": "37612",
        "binData": {
          "binMatchedLength": "6",
          "binCardBrand": "Visa",
          "binCardType": "Credit",
          "binCardCategory": "PLATINUM",
          "binCardIssuer": "Bank of Example",
          "binCardIssuerCountry": "United States",
          "binCardIssuerCountryCodeA2": "US",
          "binCardIssuerCountryNumber": "840",
          "binCardIsRegulated": "false",
          "binCardUseCategory": "Consumer",
          "binCardIssuerCountryCodeA3": "USA"
        },
        "HolderName": "Lisandra Smitch",
        "Initiator": "payor",
        "MaskedAccount": "2222 4XXXXXX0010",
        "paymentDetails": {
          "totalAmount": 100,
          "currency": "USD",
          "serviceFee": 0
        },
        "Sequence": "subsequent",
        "StoredMethodUsageType": "subscription"
      },
      "PaypointDbaname": "Athlete Factory LLC",
      "PaypointEntryname": "473ac58b0",
      "PaypointId": 3040,
      "PaypointLegalname": "Athlete Factory LLC",
      "PlanId": 1,
      "SubEvents": [
        {
          "description": "created",
          "eventTime": "2023-12-14T13:51:10Z",
          "refData": "00-3470dfe2658b492811630255602f3fb5-d06fe0f72110000-00"
        },
        {
          "description": "updated",
          "eventTime": "2023-12-15T10:30:00Z",
          "refData": "01-1234abcde6789fghij4567klmnopqr89-abcdefghi12345678-01",
          "source": "web app"
        }
      ],
      "SubStatus": 1,
      "SubscriptionType": "Regular",
      "TotalAmount": 100,
      "TotalCycles": 20,
      "UntilCancelled": false
    }
  ],
  "Summary": {
    "pageIdentifier": "XXXXXXXXXXXXXXXXXXX",
    "pageSize": 20,
    "totalAmount": 150.22,
    "totalNetAmount": 150.22,
    "totalPages": 1,
    "totalRecords": 2
  }
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.query.listSubscriptionsOrg(123, {
        fromRecord: 251,
        limitRecord: 0,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.query.list_subscriptions_org(
    org_id=123,
    from_record=251,
    limit_record=0,
    sort_by="desc(field_name)",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.query.requests.ListSubscriptionsOrgRequest;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.query().listSubscriptionsOrg(
            123,
            ListSubscriptionsOrgRequest
                .builder()
                .fromRecord(251)
                .limitRecord(0)
                .sortBy("desc(field_name)")
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.query.list_subscriptions_org(
  org_id: 123,
  from_record: 251,
  limit_record: 0,
  sort_by: "desc(field_name)"
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Query.ListSubscriptionsOrgAsync(
            123,
            new ListSubscriptionsOrgRequest {
                FromRecord = 251,
                LimitRecord = 0,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ListSubscriptionsOrgRequest{
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            0,
        ),
        SortBy: payabli.String(
            "desc(field_name)",
        ),
    }
    client.Query.ListSubscriptionsOrg(
        context.TODO(),
        123,
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Query\Requests\ListSubscriptionsOrgRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->query->listSubscriptionsOrg(
    123,
    new ListSubscriptionsOrgRequest([
        'fromRecord' => 251,
        'limitRecord' => 0,
        'sortBy' => 'desc(field_name)',
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/subscriptions/org/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```